Bug 830065 - Cannot 'build --publish' without including the productnumber
Cannot 'build --publish' without including the productnumber
Status: CLOSED INSUFFICIENT_DATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 02:49 EDT by Raymond Mancy
Modified: 2016-08-15 21:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-17 04:05:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2012-06-08 02:49:07 EDT
Description of problem:

It would be nice if the '--publish' option to build did not have to result in an output path that contained the productnumber. 


Version-Release number of selected component (if applicable):

2.1

How reproducible:

Always

Steps to Reproduce:
1.publican build --publish --langs en-US --formats html
2.
3.
  
Actual results:
/home/user/dev/blah/pub_doc/The_Guide/publish/en-US/MyProduct/2/html/MyTitle

Expected results:

To have an option where <productnumber> is not necessarily included.

Additional info:

It seems that somewhere along the line someone decided it would be useful to be able to build the SRPM without the version number (although perhaps they didn't think it was a good idea as they called it --short_sighted).

Something similar in this situation would be nice. Perhaps --needs_glasses ?
Comment 1 Ruediger Landmann 2013-04-16 21:41:14 EDT
Moving upstream
Comment 2 Jeff Fearn 2013-07-18 04:12:24 EDT
--publish is specifically for creating the layout used on the publican WebSites, is there any reason you can't just use tmp_dir to change where it builds and then grab the content from $tmp_dir/$lang/$format?

Note You need to log in before you can comment on or make changes to this bug.